> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Character Leaderboard

> Retrieves a list of ranked characters for the given statistic, starting from the indicated point in the leaderboard

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/GetCharacterLeaderboard
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/GetCharacterLeaderboard:
    post:
      tags:
        - Characters
      summary: Get Character Leaderboard
      description: >
        Retrieves a list of ranked characters for the given statistic, starting
        from the indicated point in the leaderboard


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | ProductDisabledForTitle | 1609 |
      operationId: GetCharacterLeaderboard
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetCharacterLeaderboardRequest'
      responses:
        '200':
          $ref: '#/components/responses/GetCharacterLeaderboardResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    GetCharacterLeaderboardRequest:
      type: object
      properties:
        MaxResultsCount:
          description: Maximum number of entries to retrieve.
          type: number
          x-actualtype: int32
        StartPosition:
          description: First entry in the leaderboard to be retrieved.
          type: number
          x-actualtype: int32
        StatisticName:
          description: >-
            Unique identifier for the title-specific statistic for the
            leaderboard.
          type: string
      required:
        - StatisticName
        - StartPosition
        - MaxResultsCount
      example:
        StatisticName: Kills
        MaxResultsCount: 20
    GetCharacterLeaderboardResult:
      description: >-
        Note that the Position of the character in the results is for the
        overall leaderboard.
      type: object
      properties:
        Leaderboard:
          description: Ordered list of leaderboard entries.
          type: array
          items:
            $ref: '#/components/schemas/CharacterLeaderboardEntry'
          x-isclass: true
      example:
        Leaderboard:
          - PlayFabId: '10931252888739651331'
            CharacterId: '9874325'
            DisplayName: username
            CharacterType: blue_warriors
            StatValue: 12
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    CharacterLeaderboardEntry:
      type: object
      properties:
        CharacterId:
          description: >-
            PlayFab unique identifier of the character that belongs to the user
            for this leaderboard entry.
          type: string
        CharacterName:
          description: >-
            Title-specific display name of the character for this leaderboard
            entry.
          type: string
        CharacterType:
          description: Name of the character class for this entry.
          type: string
        DisplayName:
          description: Title-specific display name of the user for this leaderboard entry.
          type: string
        PlayFabId:
          description: PlayFab unique identifier of the user for this leaderboard entry.
          type: string
        Position:
          description: User's overall position in the leaderboard.
          type: number
          x-actualtype: int32
        StatValue:
          description: Specific value of the user's statistic.
          type: number
          x-actualtype: int32
      required:
        - StatValue
        - Position
  responses:
    GetCharacterLeaderboardResult:
      description: >-
        Note that the Position of the character in the results is for the
        overall leaderboard.
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetCharacterLeaderboardResult'
            example:
              code: 200
              status: OK
              data:
                Leaderboard:
                  - PlayFabId: '10931252888739651331'
                    CharacterId: '9874325'
                    DisplayName: username
                    CharacterType: blue_warriors
                    StatValue: 12
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Get Character Leaderboard](/services/playfab/api-references/rest/server/characters/get-character-leaderboard.md)
- [Get Leaderboard Around Character](/services/playfab/api-references/rest/client/characters/get-leaderboard-around-character.md)
- [Get Leaderboard For User Characters](/services/playfab/api-references/rest/client/characters/get-leaderboard-for-user-characters.md)
- [Get Character Statistics](/services/playfab/api-references/rest/client/characters/get-character-statistics.md)
- [Get Character Data](/services/playfab/api-references/rest/client/character-data/get-character-data.md)
